"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getArgumentValue = void 0;
/**
 * Gets the node argument value or returns false
 * @param argName the argument name without trailing hyphens i.e. --
 * @example getArgumentValue('coverageDir')
 * @returns string | false
 */
const getArgumentValue = (argName) => {
    const args = process.argv
        .filter((item) => {
        if (item.indexOf(argName) >= 0) {
            return item;
        }
        return '';
    })
        .toString();
    return args ? args.replace(`--${argName}=`, '').replace(/["']/g, '') : false;
};
exports.getArgumentValue = getArgumentValue;
//# sourceMappingURL=arguments.js.map