"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.badgerFactory = void 0;
const badgerFactory = ({ checkConfig, editReadme, logger, getExitCodeOnError }) => () => {
    const { logInfo, logError } = logger();
    logInfo('Istanbul Badges Readme process started');
    return checkConfig()
        .then(() => editReadme())
        .catch((error) => {
        var _a;
        logError(`${error}`);
        logError('Please refer to the documentation');
        logError('https://github.com/olavoparno/istanbul-badges-readme/blob/master/README.md');
        process.exitCode = (_a = getExitCodeOnError === null || getExitCodeOnError === void 0 ? void 0 : getExitCodeOnError()) !== null && _a !== void 0 ? _a : 0;
    })
        .finally(() => {
        logInfo('Istanbul Badges Readme process finished');
    });
};
exports.badgerFactory = badgerFactory;
//# sourceMappingURL=factory.js.map