"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const arguments_1 = require("./arguments");
const logger = () => {
    const customLog = (level, isSupressable) => (message) => {
        const isSupressed = isSupressable && (0, arguments_1.getArgumentValue)('silent');
        return !isSupressed && level(message);
    };
    return {
        logInfo: customLog(console.info, true),
        logWarn: customLog(console.warn, true),
        logError: customLog(console.error, false),
    };
};
exports.logger = logger;
//# sourceMappingURL=logger.js.map